Bug 456234 - okular core dump
okular core dump
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 08:46 EDT by Bernhard Fastenrath
Modified: 2008-09-16 12:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.1.0-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 12:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace generated by the KDE Crash Handler (5.07 KB, application/octet-stream)
2008-07-22 08:46 EDT, Bernhard Fastenrath
no flags Details
*** glibc detected *** okular: double free or corruption (out): 0x00a7e178 *** (9.30 KB, application/octet-stream)
2008-07-22 08:47 EDT, Bernhard Fastenrath
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 170308 None None None Never

  None (edit)
Description Bernhard Fastenrath 2008-07-22 08:46:08 EDT
Description of problem:
okular can't open http://www.tap.msu.edu/handbook/

Version-Release number of selected component (if applicable):
kdegraphics-4.0.5-1.fc9.i386

How reproducible:
download URL, open document

Actual results:
crash
Comment 1 Bernhard Fastenrath 2008-07-22 08:46:08 EDT
Created attachment 312339 [details]
Backtrace generated by the KDE Crash Handler
Comment 2 Bernhard Fastenrath 2008-07-22 08:47:38 EDT
Created attachment 312340 [details]
*** glibc detected *** okular: double free or corruption (out): 0x00a7e178 ***
Comment 3 Steven M. Parrish 2008-07-28 16:16:46 EDT
Checked upstream for matching bug and did not find one.  Normally I say file
upstream but with the impending release of KDE 4.1 you may want to wait and see
if it is fixed before reporting upstream.  If you find this is still an issue in
4.1 please report upstream and include upstream info in this report.  Thanks
Comment 4 Bernhard Fastenrath 2008-08-03 08:00:01 EDT
(In reply to comment #3)
> Checked upstream for matching bug and did not find one.  Normally I say file
> upstream but with the impending release of KDE 4.1 you may want to wait and see
> if it is fixed before reporting upstream.  If you find this is still an issue in
> 4.1 please report upstream and include upstream info in this report.  Thanks

I specified a ticket tracking system that can exchange tickets with other systems and receive replies. The RFC draft can be found at http://esp.nongnu.org/. I imagine that might be useful for sending tickets to upstream ticket systems (I'm not aware bugzilla can do that).

-- 
http://politics.wikia.com/index.php?title=Extending_human_legislation_to_artificial_intelligences
http://education.wikia.com/wiki/User:Fasten/Pilingual_Primer
http://en.wikibooks.org/wiki/Mentoring_Handbook
http://en.wikiversity.org/wiki/Topic:Assistant_teacher_program
Comment 5 Steven M. Parrish 2008-08-12 11:07:26 EDT
just checked this in version 4.1 and the issue still exists so I would say go on and report it upstream, then add upstream info to this report.

Thanks
Comment 6 Steven M. Parrish 2008-09-13 18:20:12 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Bernhard Fastenrath 2008-09-15 16:11:21 EDT
I've added this bug as an annotation to https://bugs.kde.org/show_bug.cgi?id=170308.
I'd like to repeat my recommendation to connect ticket tracking systems more conveniently (see above).
Comment 8 Bernhard Fastenrath 2008-09-15 17:08:47 EDT
According to a comment from Pino Toscano in kde.org this bug is fixed with Poppler library ( >= 0.8.6).
I'm using version 0.8.1:

Name        : poppler                      Relocations: (not relocatable)
Version     : 0.8.1                             Vendor: Fedora Project
Release     : 1.fc9                         Build Date: Tue 29 Apr 2008 01:25:12 AM CEST
Comment 9 Kevin Kofler 2008-09-16 00:02:06 EDT
Looks like this is a poppler bug, so could we please get either an updated poppler or a backported fix into F-9?
Comment 10 Rex Dieter 2008-09-16 09:46:36 EDT
I'll whip up a test 0.8.6 build to confirm whether that helps, then a decision can be made.
Comment 11 Rex Dieter 2008-09-16 10:11:13 EDT
Hrm... I can't reproduce the reported failure using:
rpm -q kdegraphics poppler
kdegraphics-4.1.1-1.fc.9.x86_64
poppler-0.8.1-2.fc9.x86_64

Bernhard, can you update (to at least kdegraphics-4.1.0 in stable updates), and see if you can still reproduce?
Comment 12 Bernhard Fastenrath 2008-09-16 12:02:03 EDT
"yum update kdegraphics" had this list of dependencies:
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 kdebase                 i386       6:4.1.0-1.fc9.1  updates-newkey    5.7 M
 kdebase-devel           i386       6:4.1.0-1.fc9.1  updates-newkey     23 k
 kdebase-libs            i386       6:4.1.0-1.fc9.1  updates-newkey    265 k
 kdebase-runtime         i386       4.1.0-3.fc9      updates-newkey    6.5 M
 kdebase-workspace       i386       4.1.0-8.fc9      updates-newkey     10 M
 kdebase-workspace-devel  i386       4.1.0-8.fc9      updates-newkey    184 k
 kdebase-workspace-libs  i386       4.1.0-8.fc9      updates-newkey    1.1 M
 kdegames                i386       6:4.1.0-2.fc9    updates-newkey     28 M
 kdegames-libs           i386       6:4.1.0-2.fc9    updates-newkey    614 k
 kdegraphics             i386       7:4.1.0-5.fc9    updates-newkey    2.4 M
 kdegraphics-libs        i386       7:4.1.0-5.fc9    updates-newkey    1.7 M
 kdelibs                 i386       6:4.1.0-7.fc9    updates-newkey     12 M
 kdelibs-devel           i386       6:4.1.0-7.fc9    updates-newkey    1.6 M
 kdemultimedia           i386       6:4.1.0-1.fc9    updates-newkey    1.6 M
 kdemultimedia-libs      i386       6:4.1.0-1.fc9    updates-newkey    311 k
 kdenetwork              i386       7:4.1.0-2.fc9    updates-newkey    7.9 M
 kdenetwork-libs         i386       7:4.1.0-2.fc9    updates-newkey    2.0 M
 kdepimlibs              i386       4.1.0-2.fc9      updates-newkey    2.4 M
 kdepimlibs-devel        i386       4.1.0-2.fc9      updates-newkey    322 k
 kdeutils                i386       6:4.1.0-1.fc9.1  updates-newkey    3.1 M
 ksysguardd              i386       4.1.0-8.fc9      updates-newkey     64 k
 qt                      i386       1:4.4.1-2.fc9    updates-newkey    3.5 M
 qt-devel                i386       1:4.4.1-2.fc9    updates-newkey    7.3 M
 qt-postgresql           i386       1:4.4.1-2.fc9    updates-newkey     50 k
 qt-x11                  i386       1:4.4.1-2.fc9    updates-newkey     12 M
 soprano                 i386       2.1-1.fc9        updates-newkey    622 k
Installing for dependencies:
 akonadi                 i386       1.0.0-2.fc9      updates-newkey    476 k
 automoc                 i386       1.0-0.8.rc1.fc9  updates-newkey     28 k
 cmake                   i386       2.6.1-3.fc9      updates-newkey    6.1 M
 libcapseo               i386       0.2.0-0.1.20080603gita6ec446.fc9  updates-newkey     25 k
 libcaptury              i386       0.3.0-0.1.20080323gitcca4e3c.fc9  updates-newkey     20 k
 libotr                  i386       3.2.0-1.fc9      updates-newkey    111 k
 phonon                  i386       4.2.0-4.fc9      updates-newkey    135 k
 phonon-backend-gstreamer  i386       4.2.0-4.fc9      updates-newkey     78 k
 phonon-devel            i386       4.2.0-4.fc9      updates-newkey     52 k
 qt-mysql                i386       1:4.4.1-2.fc9    updates-newkey     45 k
 xmlrpc-c                i386       1.14.8-1.fc9     updates-newkey    228 k

Apparently my system missed this update earlier:
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 PackageKit              i386       0.2.5-1.fc9      updates           561 k
 PackageKit-libs         i386       0.2.5-1.fc9      updates           106 k
 fedora-release          noarch     9-5.transition   updates            34 k
 yum-packagekit          i386       0.2.5-1.fc9      updates            11 k

The update to kdegraphics solved the problem, still using poppler 0.8.1.

Note You need to log in before you can comment on or make changes to this bug.